prefixes:
  e: http://myontology.com/
  ex: http://www.example.com/
  schema: http://schema.org/

sources:
  source-people: ['people.csv~csv']
  source-friends: ['friends.csv~csv']

targets:
  target-people: ['/data/out/people.ttl', 'turtle']
  target-people-gz: ['/data/out/people-gz.ttl.gz', 'turtle', 'gzip']

mappings:
  people:
    sources:
      - source-people
    s:
      value: ex:$(person_id)
      targets:
        - target-people
        - target-people-gz
    po:
      - [a, schema:Person]
      - [schema:givenName, $(firstname)]
      - [schema:familyName, $(lastname)]

  friends:
    sources:
      - source-friends
    s:
      value: ex:$(id-person)
      targets:
        - target-people
        - target-people-gz
    po:
      - [e:hasFriend, ex:$(id-friend)]
